# Interface AutopilotApi

interface AutopilotApi {
apUpdate(
pluginId: string,
deviceId: string,
apInfo: { [path: string]: Value },
): void;
register(pluginId: string, provider: AutopilotProvider): void;
unRegister(pluginId: string): void;
}

- Defined in autopilotapi.ts:45

##### Index

### Methods

apUpdate
register
unRegister

## Methods

### apUpdate

- apUpdate(
  pluginId: string,
  deviceId: string,
  apInfo: { [path: string]: Value },
  ): void

  #### Parameters

  - pluginId: string
  - deviceId: string
  - apInfo: { [path: string]: Value }

  #### Returns void

  - Defined in autopilotapi.ts:48

### register

- register(pluginId: string, provider: AutopilotProvider): void

  #### Parameters

  - pluginId: string
  - provider: AutopilotProvider

  #### Returns void

  - Defined in autopilotapi.ts:46

### unRegister

- unRegister(pluginId: string): void

  #### Parameters

  - pluginId: string

  #### Returns void

  - Defined in autopilotapi.ts:47